<template>
    <div :class="divClass ? divClass : 'box-down'">
        <!--suppress HtmlFormInputWithoutLabel -->
        <select :name="name" :id="id" ref="select" :value="value" @input="change" :style="selectStyle">
            <option :value="key" v-for="(label, key) in options">{{ label }}</option>
        </select>
        <svg class="down" @click="open">
            <use xlink:href="/img/sprite.svg#right-arrow-circular-button"/>
        </svg>
    </div>
</template>

<script>
	export default {
		name: "Select",
		props: ['value', 'name', 'id', 'options', 'color', 'divClass', 'selectCustomStyle'],
		model: {
			prop: 'value',
			event: 'input'
		},
        computed: {
		    selectStyle(){
		        let custom = this.selectCustomStyle && typeof this.selectCustomStyle == 'object' ? this.selectCustomStyle : {};
		    	return Object.assign ({
		    	    color: this.color ? this.color : '#383838',
                }, custom);
            }
        },
        methods:{
			change(e){
				this.$emit('input', e.target.value);
            },
			open(){
				console.log(document.createEvent);
				if (document.createEvent) {
					const e = document.createEvent("MouseEvents");
					console.log(e);
					e.initMouseEvent("mousedown", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
					console.log(this.$refs.select);
					this.$refs.select.dispatchEvent(e);
				}
			}
        }
	}
</script>

<style scoped lang="scss">
    .box-down{
        position: relative;
        input, select {
            width: 393px;
            border-radius: 8px;
            background-color: #efefef;
            font-size: 14px;
            color: #2b5ede;
            padding: 15px 0 15px 15px;
            border: none;
            box-shadow: none;
        }
        select {
            width: 393px;
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
        }
        .down{
            width: 20px;
            height: 20px;
            fill: #cdcdcd;
            position: absolute;
            top: 0;
            bottom: 0;
            margin: auto;
            right: 13px;
            transform: rotate(90deg);
        }
    }
    .box-select{
        position: relative;
        width: calc(69%);
        label {
            color: #383838;
            font-size: 14px;
            font-weight: 400;
            line-height: 15px;
            display: flex;
            justify-content: flex-start;
            align-items: center;
            span {
                color: #2b5ede;
                font-size: 21px;
                font-weight: 400;
                line-height: 15px;
                margin-right: 5px;
            }
        }
        select {
            margin-right: 0!important;
            box-shadow: none;
            border: none;
            outline: none;
            width: calc(100% - 10px);
            margin-left: 8px;
            padding-left: 15px;
            display: flex;
            justify-content: center;
            align-items: center;
            color: #bdbdbd;
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
            font-size: 14px;
            font-weight: 400;
            line-height: 15px;
            height: 36px;
            border-radius: 8px;
            background-color: #f1f1f1;
        }
        .down {
            width: 17px;
            height: 17px;
            fill: #b9b9b9;
            position: absolute;
            top: 0;
            bottom: 0;
            margin: auto;
            right: 13px;
            transform: rotate(90deg);
        }
    }
	@media (max-width: 576px) {
		.box-down{
			flex-basis: calc(100% - (15px + 30px));

			select{
				width: 100% !important;
			}
		}
	}
</style>
